Skip to main content

Get Transaction List

POST /papi/v1/ramp/connect/prime/transactions

Request Body​

FieldTypeMandatoryRemarks
userIdstringYesCustomer’s Binance sub-account ID
startTimetimestampYesStart timestamp
endTimetimestampYesEnd timestamp
directionstringNoBUY or SELL
pageintNoPage number. Default: 1
rowsintNoRecords per page. Default: 10. Max: 100

Example​

{
"userId": "54321123456",
"startTime": 1756113110,
"endTime": 1756545215,
"direction": "BUY",
"page": 1,
"rows": 10
}
curl -X POST https://{domain}/papi/v1/ramp/connect/prime/transactions \
-H 'Content-Type: application/json' \
-H 'X-Tesla-ClientId: {your client id}' \
-H 'X-Tesla-SignAccessToken: {your access token}' \
-H 'X-Tesla-Timestamp: {now}' \
-H 'X-Tesla-Signature: {signature}' \
-d '{"userId":"{testUserId}","startTime":1762313981786,"endTime":1762400381786,"rows":20,"page":1}'

Response Body​

FieldTypeRemarks
totalintTotal number of records across all pages
recordsobject arrayrecords
pageintCurrent page number.
rowsintRecords per page.

Record object​

FieldTypeRemarks
orderIdstringBinance order ID
clientOrderIdstringClient side order ID
directionstringBUY or SELL
fiatCurrencystringFiat currency
cryptoCurrencystringCrypto currency
fiatAmountdecimalFiat amount
cryptoAmountdecimalCrypto Amount
pricedecimalPrice. 1 crypto currency= {price} fiat currency
statusstringPROCESSING / FILLED / FAILED
spreadAmountstringRevenue from Spread (in Fiat Currency)
createTimetimestampOrder creation time (UTC)
settleTimetimestampSettlement time (UTC)

Example​

{
"total": 100,
"page": 1,
"rows": 10,
"records": [
{
"orderId": "1234567890",
"clientOrderId": "myOrder001",
"direction": "BUY",
"fiatCurrency": "EUR",
"cryptoCurrency": "BTC",
"fiatAmount": 100,
"cryptoAmount": 0.00102181,
"price": 97849.27,
"status": "FILLED",
"spreadAmount": "0.99",
"createTime": "1692951399",
"settleTime": "1692954999"
}
]
}